Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portlets.struts
Interface WpsStrutsBaseConstants

All Known Subinterfaces:
  WpsStrutsConstants

    public interface WpsStrutsBaseConstants

The `WpsStrutsBaseConstants` class contains constants used throughout the WPS Struts portlet implementation.

Since:
  4.1

Field Summary
`static java.lang.String` | `CONFIGURE_MODE` The prefix used for configure mode
`static java.lang.String` | `CONTEXT_PATH_PREFIX` The key used for storing the Context path prefix in servlet context
`static java.lang.String` | `EDIT_MODE` The context used for edit mode
`static java.lang.String` | `HELP_MODE` The context used for help mode
`static java.lang.String` | `ISTRUTS_PREPARE_RENDER_ACTION` Indicates uri is an IStrutsPrepareRender
`static java.lang.String` | `ISTRUTS_SINGLE_ACTION` Key used to flag a IStrutSingleAction
`static java.lang.String` | `LOOP_COUNT` indicates loop count
`static java.lang.String` | `MAX_LOOP_COUNT` indicates max action loop count
`static java.lang.String` | `PATH_DATA` The key used for storing the path info object value
`static java.lang.String` | `PREFIX` The prefix used on all other constants defined here
`static java.lang.String` | `PREVIOUS_MODE` The key used for storing the previous mode state
`static java.lang.String` | `PSEUDO_RESPONSE` The key used for storing the temporary HttpServletResponse used during actionPerformed processing
`static java.lang.String` | `VIEW_COMMANDS` The key used for storing the command stack
`static java.lang.String` | `VIEW_MODE` The context used for view mode
`static java.lang.String` | `WPS_ACTION_SERVLET_KEY` The key used for storing the Wps Action Servlet in request

Field Detail

### PREFIX

    static final java.lang.String PREFIX

  The prefix used on all other constants defined here

  See Also:
    Constant Field Values

### PATH_DATA

    static final java.lang.String PATH_DATA

  The key used for storing the path info object value

  See Also:
    Constant Field Values

### PSEUDO_RESPONSE

    static final java.lang.String PSEUDO_RESPONSE

  The key used for storing the temporary HttpServletResponse used during actionPerformed processing

  See Also:
    Constant Field Values

### VIEW_COMMANDS

    static final java.lang.String VIEW_COMMANDS

  The key used for storing the command stack

  See Also:
    Constant Field Values

### PREVIOUS_MODE

    static final java.lang.String PREVIOUS_MODE

  The key used for storing the previous mode state

  See Also:
    Constant Field Values

### WPS_ACTION_SERVLET_KEY

    static final java.lang.String WPS_ACTION_SERVLET_KEY

  The key used for storing the Wps Action Servlet in request

### CONTEXT_PATH_PREFIX

    static final java.lang.String CONTEXT_PATH_PREFIX

  The key used for storing the Context path prefix in servlet context

  See Also:
    Constant Field Values

### VIEW_MODE

    static final java.lang.String VIEW_MODE

  The context used for view mode

  See Also:
    Constant Field Values

### HELP_MODE

    static final java.lang.String HELP_MODE

  The context used for help mode

  See Also:
    Constant Field Values

### EDIT_MODE

    static final java.lang.String EDIT_MODE

  The context used for edit mode

  See Also:
    Constant Field Values

### CONFIGURE_MODE

    static final java.lang.String CONFIGURE_MODE

  The prefix used for configure mode

  See Also:
    Constant Field Values

### ISTRUTS_PREPARE_RENDER_ACTION

    static final java.lang.String ISTRUTS_PREPARE_RENDER_ACTION

  Indicates uri is an IStrutsPrepareRender

  See Also:
    Constant Field Values

### LOOP_COUNT

    static final java.lang.String LOOP_COUNT

  indicates loop count

  See Also:
    Constant Field Values

### MAX_LOOP_COUNT

    static final java.lang.String MAX_LOOP_COUNT

  indicates max action loop count

  See Also:
    Constant Field Values

### ISTRUTS_SINGLE_ACTION

    static final java.lang.String ISTRUTS_SINGLE_ACTION

  Key used to flag a IStrutSingleAction

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD